import datasets 
import fire 


def compare_lcb_execution_generation ():


    rows =datasets .load_dataset (
    "livecodebench/code_generation_lite",
    split ="test",
    version_tag ="v1",
    trust_remote_code =True ,
    )
    existing_contests ={row ["contest_id"]for row in rows }

    expected_contests ={
    *(f"biweekly-contest-{i }"for i in range (104 ,119 )),
    *(f"weekly-contest-{i }"for i in range (344 ,374 )),
    }

    missing_contests =sorted (expected_contests -existing_contests )

    print ("Missing contest IDs:")
    for contest_id in missing_contests :
        print (contest_id )


def main ():
    compare_lcb_execution_generation ()


if __name__ =="__main__":
    fire .Fire (main )
